Subject: Re: [PATCH v3] net: sfp: add SMBus I2C block support

From: Jakub Kicinski <[email-masked]>
Date: Mon, 5 Jan 2026 15:52:15 -0800

On Mon, 5 Jan 2026 17:13:45 +0000 Russell King (Oracle) wrote:
> > > This seems to be almost useless information. While base-commit exists
> > > in the net-next tree, commit ae039dad1e17867fce9182b6b36ac3b1926b254a
> > > doesn't exist in either net-next nor net trees.
> > >
> > > My guess is you applied Maxime's patch locally, and that is the
> > > commit ID of that patch.  
> > 
> > This was supposed to be the stable patch-id obtained with 
> > 'git patch-id --stable'.  
> 
> Hmm, didn't know about that... but in this context, I wonder how
> useful it is. As a maintainer, given that patches submitted don't
> specify their patch-id, tracking down which patch is the
> pre-requisit would be a mammoth task [...]

+1, please wait for any pre-requisites to be in the tree before posting.
If you'd like to get early reviews send as RFC. Note that net gets
merged into net-next every Thu (in case the dependency is cross-tree
this is an extra wait).